cURL
curl \
--request POST \
--url "https://api.breeze.blue/v1/voice-previews/design" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"voice_description": "Warm, intimate narrator with crisp diction.",
"text": "Welcome to Breeze Blue.",
"guidance_scale": 4.0,
"preview_count": 3
}'import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
design = client.voices.create_design_preview(
voice_description="Warm, intimate narrator with crisp diction.",
text="Welcome to Breeze Blue.",
guidance_scale=4.0,
preview_count=3,
)
for preview in design["previews"]:
print(preview["generated_voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const design = await client.voices.createDesignPreview({
voiceDescription: "Warm, intimate narrator with crisp diction.",
text: "Welcome to Breeze Blue.",
guidanceScale: 4.0,
previewCount: 3,
});
for (const preview of design.previews) {
console.log(preview.generatedVoiceId);
}{
"previews": [
{
"generated_voice_id": "<string>",
"audio_base_64": "<string>",
"media_type": "<string>",
"duration_secs": 123
}
],
"text": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Voice Previews
Create design previews
Generate temporary voice previews from a text description.
POST
/
v1
/
voice-previews
/
design
cURL
curl \
--request POST \
--url "https://api.breeze.blue/v1/voice-previews/design" \
--header "xi-api-key: $BREEZE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"voice_description": "Warm, intimate narrator with crisp diction.",
"text": "Welcome to Breeze Blue.",
"guidance_scale": 4.0,
"preview_count": 3
}'import os
from breeze_blue import BreezeBlue
client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])
design = client.voices.create_design_preview(
voice_description="Warm, intimate narrator with crisp diction.",
text="Welcome to Breeze Blue.",
guidance_scale=4.0,
preview_count=3,
)
for preview in design["previews"]:
print(preview["generated_voice_id"])import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient({
apiKey: process.env.BREEZE_API_KEY!,
});
const design = await client.voices.createDesignPreview({
voiceDescription: "Warm, intimate narrator with crisp diction.",
text: "Welcome to Breeze Blue.",
guidanceScale: 4.0,
previewCount: 3,
});
for (const preview of design.previews) {
console.log(preview.generatedVoiceId);
}{
"previews": [
{
"generated_voice_id": "<string>",
"audio_base_64": "<string>",
"media_type": "<string>",
"duration_secs": 123
}
],
"text": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Design a voice
Write a voice description and preview script.
Stream a design preview
Stream one PCM preview.
Save voice preview
Save a reusable voice for TTS.
Write instructions
Choose intent, emotion, and delivery.
Authorizations
Breeze Developer API key.
Query Parameters
Audio format for the embedded preview payloads. Supported values: mp3, wav, flac, pcm, aac, opus. Default: mp3. See Output formats.
Body
application/json
Text description of the desired voice. See Voice Design prompting.
Required string length:
3 - 500Optional preview script for the generated voice previews. See Audio tags.
Required string length:
3 - 500Model ID for speech generation. Selected automatically when omitted. See List models.
Required string length:
1 - 120ISO 639-1 two-letter language code supported by the selected model. See supported language codes.
Required string length:
2Pattern:
^[A-Za-z]{2}$Generation guidance strength. Accepted range: 1.0 to 10.0. Random within this range when omitted. See Voice Design controls.
Required range:
1 <= x <= 10Number of preview variants to generate. Defaults to 1 and accepts values from 1 to 3.
Required range:
1 <= x <= 3
